Subject: git ls-files --ignored and ignored directory

From: Damien Robert <[email-masked]>
Date: Tue, 6 Nov 2012 21:19:05 +0000 (UTC)

I would like to use git ls-files to show all the ignored files, including
directory.

As an example of setup:

mkdir /tmp/git && cd /tmp/git
git init
mkdir a b
touch a/a
touch b/b
cat >.gitignore << EOF
a/
b/*
EOF

Then if I do:
$ git ls-files --exclude-standard --ignored --others
b/b
$ git ls-files --exclude-standard --ignored --others --directory
a/

In the first case I was expecting
a/a
b/b
and in the second case
a/
b/

Is there a way to get the behavior I'd like? Thanks!